import UserProfile from "./../views/user/UserProfile.vue";
import UserIndex from "./../views/user/UserIndex.vue";
import UserCreate from "@/views/user/UserCreate.vue";
import UserEdit from "@/views/user/UserEdit.vue";


export const userRoutes = [
  {
    path: "/user",
    children: [
      {
        path: "",
        name: "index",
        component: UserIndex,
      },
      {
        path: "/user/create",
        name: "create",
        component: UserCreate,
      },
      {
        path: "/user/:id/edit",
        name: "edit",
        component: UserEdit,
      },
      {
        path: "/user/profile",
        name: "profile",
        component: UserProfile,
      },
    ],
  },
];
